<?php
if ( ! class_exists( 'snsnitan_Class' ) ) {
	class snsnitan_Class {
		public function __construct() {
			// Set cookie theme option
			add_action( 'wp_ajax_sns_setcookies', array($this,'snsnitan_setcookies') );
			add_action( 'wp_ajax_nopriv_sns_setcookies', array($this,'snsnitan_setcookies') );
			// Reset cookie theme option
			add_action( 'wp_ajax_sns_resetcookies', array($this,'snsnitan_resetcookies') );
			add_action( 'wp_ajax_nopriv_sns_resetcookies', array($this,'snsnitan_resetcookies') );
		}
		public function snsnitan_setcookies(){
			setcookie('snsnitan_'.$_POST['key'], $_POST['value'], time()+3600*24*1, '/'); // 1 day
			
		}
	
		public function snsnitan_resetcookies(){
			setcookie('snsnitan_advance_scss_compile', '', 0, '/');
			//setcookie('snsnitan_theme_color', '', 0, '/');
			setcookie('snsnitan_use_boxedlayout', '', 0, '/');
			setcookie('snsnitan_use_stickmenu', '', 0, '/');
		}
		function snsnitan_getStyle($compile = 2, $scss = array('dir' => '', 'name' => ''), $css = array('dir' => '', 'name' => ''), $format = 'scss_formatter_compressed', $variables = array() ) {
			if($css['name'] == '') $css['name'] = $scss['name'];
			$scss_variables = '';
			if($variables) {
				//$css['name'] .= '-';
				foreach($variables as $propety => $value) {
					$scss_variables .= $propety . ':' . $value . ';';
					$css['name'] .= '-'.strtolower(preg_replace('/\W/i', '', $value));
				}
			}
			
			if( $compile == 2 || !file_exists(get_template_directory() . '/assets/css/' . $css['name'] . '.css') )
				$this->snsnitan_compileScss($scss, $css, $format, $scss_variables);
			return $css['name'] . '.css';
		}
		function snsnitan_compileScss($scss, $css, $format, $scss_variables) {
			global $wp_filesystem;
			if (empty($wp_filesystem)) {
				require_once ABSPATH . '/wp-admin/includes/file.php';
				WP_Filesystem();
			}
			require "scssphp/scss.inc.php";
			if ( class_exists('ScssPhp\ScssPhp\Compiler') ) {
				$sass = new ScssPhp\ScssPhp\Compiler();
				if ( $format != NULL && $format != "scss_formatter" ){
					if ( $format == "scss_formatter_compressed" ) {
						$format = 'ScssPhp\ScssPhp\Formatter\Compressed';
						
					}elseif( $format == "scss_formatter_nested" ){
						$format = 'ScssPhp\ScssPhp\Formatter\Nested';
					}
					$sass->setFormatter($format);
				}
				
				$sass->addImportPath($scss['dir']);
				$string_sass = $scss_variables . $wp_filesystem->get_contents($scss['dir'] . $scss['name'] . '.scss'); //var_dump($string_sass); die();
				$string_css = $sass->compile($string_sass);
				$wp_filesystem->put_contents(
					$css['dir'] . $css['name'] . '.css',
					$string_css,
				  	FS_CHMOD_FILE
				);
			}
		}
		function snsnitan_getOption($param, $default = '', $key = ''){
			global $snsnitan_opt;
			$value = '';
			// Get config via theme option
			if($key !== ''){
				if ( isset($snsnitan_opt[$param][$key]) && $snsnitan_opt[$param][$key] ) $value = $snsnitan_opt[$param][$key];
			}else{
				if ( isset($snsnitan_opt[$param]) && $snsnitan_opt[$param] ) $value = $snsnitan_opt[$param];
			}
			
			// Get config via cookie
			if ( isset($_COOKIE['snsnitan_'.$param]) && $_COOKIE['snsnitan_'.$param] != '' ) {
				$value = $_COOKIE['snsnitan_'.$param];
			}
			
			// Get config via page config
			if(is_page()){
				if ( function_exists('rwmb_meta') && rwmb_meta('snsnitan_'.$param) ) $value = rwmb_meta('snsnitan_'.$param);
			}
			
			if($value || class_exists( 'ReduxFramework' ))
				return $value; 
			// return default value
			return $default;
		}
		function snsnitan_css_file(){
			$optimize = '';
			$theme_color = $this->snsnitan_getOption('theme_color', '#e22020');
			
			// Get page meta data
			if ( is_page() && function_exists('rwmb_meta') && rwmb_meta('snsnitan_page_themecolor') == 1) {
				$theme_color = rwmb_meta('sns_theme_color') != '' ? rwmb_meta('snsnitan_theme_color') : $theme_color;
			}
			
			$header_bg_color= $this->snsnitan_getOption('header_bg_color', '#ffffff');
			$topheader_bg_color= $this->snsnitan_getOption('topheader_bg_color', '#333333'); 
			$footer_title_color= $this->snsnitan_getOption('footer_title_color', '#ffffff'); 
			//$topfooter_bg_color= $this->snsnitan_getOption('topfooter_bg_color', '#333333'); 
			//$bottomfooter_bg_color= $this->snsnitan_getOption('bottomfooter_bg_color', '#333333');
			// Body color
			$body_color = $this->snsnitan_getOption('body_font', '#888888', 'color');

			$scss_compile = snsnitan_themeoption('advance_scss_compile');
		//	$scss_compile = $this->snsnitan_getOption('advance_scss_compile', 1);
			$scss_format = $this->snsnitan_getOption('advance_scss_format', 'scss_formatter_compressed');
			
			// Compile scss and get css file name
			$css_file = $this->snsnitan_getStyle(
				$scss_compile,
				array('dir' => SNSNITAN_THEME_DIR . '/assets/scss/', 'name' => 'theme'),
				array('dir' => SNSNITAN_THEME_DIR . '/assets/css/', 'name' => 'theme'),
				//array('dir' => SNSNITAN_THEME_DIR . '/assets/scss/', 'name' => 'theme'),
				//array('dir' => SNSNITAN_THEME_DIR . '/assets/css/', 'name' => 'theme'),
				$scss_format,
				array(
					'$color1' => $theme_color,
					'$color' => $body_color,
					'$header_bg_color' => $header_bg_color,
					'$topheader_bg' => $topheader_bg_color,
					'$footer_title_color' => $footer_title_color,
					//'$topfooter_bg_color' => $topfooter_bg_color,
					//'$bottomfooter_bg_color' => $bottomfooter_bg_color,
				)
			);
			
			return $css_file;
		}
		
	}
}
?>