<?php
if(class_exists('WooCommerce')){
	class snsnitan_Woocommerce{
		public static function getInstance(){
			static $_instance;
			if( !$_instance ){
				$_instance = new snsnitan_Woocommerce();
			}
			return $_instance;
		}
		public function __construct(){
			// Add Scripts
            add_action('wp_head', array($this, 'snsnitan_renderurlajax'), 15);
			add_action( 'wp_enqueue_scripts', array($this,'snsnitan_getscripts') );
			// Number product per page
			add_filter( 'loop_shop_columns', array($this, 'snsnitan_woo_shop_columns') );
			// Grid cols per row
			add_filter( 'loop_shop_per_page', array($this, 'snsnitan_woo_shop_perpage') );
			// Remove each style one by one
			add_filter( 'woocommerce_enqueue_styles', array($this, 'snsnitan_dequeue_woostyles') );
			// Set modeview
			add_action( 'wp_ajax_sns_setmodeview', array($this,'snsnitan_set_modeview') );
			add_action( 'wp_ajax_nopriv_sns_setmodeview', array($this,'snsnitan_set_modeview') );
			// Ajax load more
			add_action('wp_ajax_sns_wooloadmore', array($this, 'snsnitan_woo_loadmore'));
			add_action('wp_ajax_nopriv_sns_wooloadmore', array($this, 'snsnitan_woo_loadmore'));
			
			// Ajax load more
			add_action('wp_ajax_sns_wootabloadproducts', array($this, 'snsnitan_woo_tab_load_products'));
			add_action('wp_ajax_nopriv_sns_wootabloadproducts', array($this, 'snsnitan_woo_tab_load_products'));

			remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
            add_action( 'woocommerce_before_shop_loop_item_title', 'snsnitan_product_thumbnail', 11 );

                // Add Taxonomy product_cat custom meta fields
            add_action('product_cat_add_form_fields', array(&$this, 'snsnitan_product_cat_add_new_meta_field'), 20, 3);
            add_action('product_cat_edit_form_fields', array(&$this, 'snsnitan_product_cat_edit_meta_field'), 20, 3);
            // Save extra taxonomy fields callback function
            add_action( 'edit_term', array(&$this,'snsnitan_save_product_cat_custom_meta'), 10, 3 );
            add_action( 'created_term', array(&$this,'snsnitan_save_product_cat_custom_meta'), 10, 3 );

			remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
			remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );
		}
		
		public function snsnitan_getscripts(){
            global $snsnitan_opt;
            $optimize = '.min';
            wp_enqueue_script('snsnitan-woocommerce', SNSNITAN_THEME_URI.'/assets/js/sns-woocommerce'.$optimize.'.js', array('jquery'), '', true);
            if ( class_exists( 'YITH_WCAN_Frontend' ) ) {
                wp_dequeue_script('yith-wcan-script');
                if ( is_product_category() || is_shop() ) {
                    wp_enqueue_script('snsnitan-wcan-script', SNSNITAN_THEME_URI.'/assets/js/yith-wcan-frontend.js', array('jquery'), '', true);
                    $args = apply_filters( 'yith_wcan_ajax_frontend_classes', array(
                                'container'             => yith_wcan_get_option( 'yith_wcan_ajax_shop_container', '.products' ),
                                'pagination'            => yith_wcan_get_option( 'yith_wcan_ajax_shop_pagination', 'nav.woocommerce-pagination' ),
                                'result_count'          => yith_wcan_get_option( 'yith_wcan_ajax_shop_result_container', '.woocommerce-result-count' ),
                                'wc_price_slider'       => array(
                                    'wrapper'   => '.price_slider',
                                    'min_price' => '.price_slider_amount #min_price',
                                    'max_price' => '.price_slider_amount #max_price',
                                )
                            )
                    );
                    wp_localize_script( 'snsnitan-wcan-script', 'yith_wcan', apply_filters( 'yith-wcan-frontend-args', $args ) );
                }
            }
            wp_dequeue_script('prettyPhoto-init');
            if ( $snsnitan_opt['woo_usecloudzoom'] && is_product() )
                wp_enqueue_script('elevatezoom-custom', SNSNITAN_THEME_URI.'/assets/js/elevatezoom-custom'.$optimize.'.js', array('jquery'), '', true);
        }
        public function snsnitan_renderurlajax() {
        ?>
            <script type="text/javascript">
                var ajaxurl = '<?php echo esc_js( admin_url('admin-ajax.php') ); ?>';
            </script>
            <?php
        }
		
		public function snsnitan_woo_loadmore(){
			$orderby        = $_POST['order'];
			$number_query   = $_POST['numberquery'];
			$start          = $_POST['start'];
			$list_cat       = $_POST['cat'];
			$col            = $_POST['col'];
			$eclass         = $_POST['eclass'];
			$loop = snsnitan_woo_query($orderby, $number_query, $list_cat, $start);
			while ( $loop->have_posts() ) : $loop->the_post();
			wc_get_template( 'vc/item-grid.php', array('col' => $col, 'animate' => 1, 'eclass' => $eclass) );
			endwhile;
			wp_die();
		}
		
		public function snsnitan_woo_tab_load_products(){
			
			$tab_args = array(
					'data_type'		=> $_POST['data_type'],
					'wrap_id'		=> $_POST['wrap_id'],
					'tab_id'		=> $_POST['tab_id'],
					'cat'			=> $_POST['cat'],
					'template'		=> $_POST['template'],
					'orderby'		=> $_POST['orderby'],
					'number_query'	=> $_POST['number_query'],
					'number_display'=> $_POST['number_display'],
					'number_limit'	=> $_POST['number_limit'],
					'effect_load'	=> $_POST['effect_load'],
					'col'			=> $_POST['col'],
					'uq'			=> $_POST['uq'],
					'number_load'	=> $_POST['number_load'],
					'eclass'		=> $_POST['eclass'],
					'animate'		=> 'yes',
				);
			
			wc_get_template( 'vc/template-tab.php', array('tab_args' => $tab_args) );
			wp_die();
		}

		public function snsnitan_set_modeview(){
			setcookie('sns_woo_list_modeview', $_POST['mode'] , time()+3600*24*100, '/');
		}
		public function snsnitan_woo_shop_columns( $columns ) {
			global $snsnitan_opt;
            if(is_product_category()){
                $cat = get_queried_object();
                $snsnitan_product_cat_grid_col = snsnitan_get_term_byid( $cat->term_id, 'snsnitan_product_cat_grid_col' );
                if( $snsnitan_product_cat_grid_col != '' )
                    return $snsnitan_product_cat_grid_col;
            }
		    return $snsnitan_opt['woo_grid_col'];
		}
		public function snsnitan_woo_shop_perpage( $columns ) {
			global $snsnitan_opt;
		    return $snsnitan_opt['woo_number_perpage'];
		}
		
		public function snsnitan_dequeue_woostyles( $enqueue_styles ) {
			unset( $enqueue_styles['woocommerce-general'] );	// Remove the gloss
			unset( $enqueue_styles['woocommerce-layout'] );		// Remove the layout
			unset( $enqueue_styles['woocommerce-smallscreen'] );	// Remove the smallscreen optimisation
			return $enqueue_styles;
		}
         // Add term page
    public function snsnitan_product_cat_add_new_meta_field(){
        // This will add the custom meta field  to the add new term page
        ?>
        <div class="form-field term-snsnitan_product_cat_layout">
            <label for="snsnitan_product_cat_layout"><?php esc_html_e( 'Layout', 'snsnitan' ); ?></label>
            <select name="snsnitan_product_cat_layout" id="snsnitan_product_cat_layout">
                <option value=""><?php esc_html_e('Default (Layout of Shop page)', 'snsnitan');?></option>
                <option value="m"><?php esc_html_e('Fullwidth', 'snsnitan');?></option>
                <option value="l-m"><?php esc_html_e('Left Sidebar', 'snsnitan');?></option>
                <option value="m-r"><?php esc_html_e('Right Sidebar', 'snsnitan');?></option>
            </select>
            <p class="description"><?php esc_html_e( 'Set the layout fullwidth or has sidebar (Woo Sidebar).','snsnitan' ); ?></p>
        </div>

        <div class="form-field term-snsnitan_product_cat_grid_col">
            <label for="snsnitan_product_cat_grid_col"><?php esc_html_e( 'Grid columns', 'snsnitan' ); ?></label>
            <select name="snsnitan_product_cat_grid_col" id="snsnitan_product_cat_grid_col">
                <option value=""><?php esc_html_e('Default', 'snsnitan');?></option>
                <option value="1">1</option>
                <option value="1">2</option>
                <option value="1">3</option>
                <option value="1">4</option>
                <option value="1">6</option>
            </select>
            <p class="description"><?php esc_html_e( 'We are using grid bootstap - 12 cols layout. Default use in Theme Options.','snsnitan' ); ?></p>
        </div>
        
        <?php
    }
    // Edit term page
        public function snsnitan_product_cat_edit_meta_field($term, $taxonomy){
            $snsnitan_product_cat_layout = snsnitan_get_term_byid( $term->term_id, 'snsnitan_product_cat_layout' );
            $snsnitan_product_cat_grid_col = snsnitan_get_term_byid( $term->term_id, 'snsnitan_product_cat_grid_col' );
            ?>
            
            <tr class="form-field snsnitan_product_cat_layout">
                <th scope="row"><label for="snsnitan_product_cat_layout"><?php esc_html_e( 'Layout', 'snsnitan' ); ?></label></th>
                <td>
                    <select name="snsnitan_product_cat_layout" id="snsnitan_product_cat_layout">
                        <option value="" <?php selected($snsnitan_product_cat_layout, '', true)?>><?php esc_html_e('Default (Layout of Shop page)', 'snsnitan');?></option>
                        <option value="m" <?php selected($snsnitan_product_cat_layout, 'm', true)?>><?php esc_html_e('Fullwidth', 'snsnitan');?></option>
                        <option value="l-m" <?php selected($snsnitan_product_cat_layout, 'l-m', true)?>><?php esc_html_e('Left Sidebar', 'snsnitan');?></option>
                        <option value="m-r" <?php selected($snsnitan_product_cat_layout, 'm-r', true)?>><?php esc_html_e('Right Sidebar', 'snsnitan');?></option>
                    </select>
                    
                    <p class="description"><?php esc_html_e( 'Set the layout fullwidth or has sidebar (Woo Sidebar).','snsnitan' ); ?></p>
                </td>
            </tr>

            <tr class="form-field snsnitan_product_cat_grid_col">
                <th scope="row"><label for="snsnitan_product_cat_grid_col"><?php esc_html_e( 'Grid columns', 'snsnitan' ); ?></label></th>
                <td>
                    <select name="snsnitan_product_cat_grid_col" id="snsnitan_product_cat_grid_col">
                        <option value="" <?php selected($snsnitan_product_cat_grid_col, '', true)?>><?php esc_html_e('Default', 'snsnitan');?></option>
                        <option value="1" <?php selected($snsnitan_product_cat_grid_col, '1', true)?>>1</option>
                        <option value="2" <?php selected($snsnitan_product_cat_grid_col, '2', true)?>>2</option>
                        <option value="3" <?php selected($snsnitan_product_cat_grid_col, '3', true)?>>3</option>
                        <option value="4" <?php selected($snsnitan_product_cat_grid_col, '4', true)?>>4</option>
                        <option value="6" <?php selected($snsnitan_product_cat_grid_col, '6', true)?>>6</option>
                    </select>
                    
                    <p class="description"><?php esc_html_e( 'We are using grid bootstap - 12 cols layout. Default use in Theme Options.','snsnitan' ); ?></p>
                </td>
            </tr>
            <?php
        }
        // Save term page
        public function snsnitan_save_product_cat_custom_meta($term_id, $tt_id){
            $fields = array(
                'snsnitan_product_cat_layout',
                'snsnitan_product_cat_grid_col'
            );
            
            foreach ($fields as $field){
                if( isset($_POST[$field]) ){
                    $value = !empty($_POST[$field]) ? $_POST[$field] : '';
                    
                    update_woocommerce_term_meta($term_id, $field, $value);
                }
            }
        }
		
	}

	snsnitan_Woocommerce::getInstance();
    function snsnitan_cart_url(){
        global $woocommerce;
        return esc_url( wc_get_cart_url() );
    }
    function snsnitan_cart_total(){
        global $woocommerce;
        return $woocommerce->cart->get_cart_total();
    }
    // Re-render rating
    add_filter( 'woocommerce_product_get_rating_html', 'snsnitan_get_rating_html', 100, 2 );
    function snsnitan_get_rating_html(){
        global $woocommerce, $product;
        if( $product && $product->get_average_rating() ) $rating = $product->get_average_rating();
        if( isset($rating) && $rating > 0){
        	$rating_html  = '<div class="star-rating" title="' . sprintf( esc_html__( 'Rated %s out of 5', 'snsnitan' ), $rating ) . '">';
    		$rating_html .= '<span class="value" data-width="' . ( ( $rating / 5 ) * 100 ) . '%"><strong class="rating">' . $rating . '</strong> ' . esc_html__( 'out of 5', 'snsnitan' ) . '</span>';
        }else{
        	$rating_html  = '<div class="star-rating">';
        }
    	$rating_html .= '</div>';
    	return $rating_html;
    }

    // Set template view mode
    function snsnitan_woo_modeview() {
    	global $snsnitan_opt;
    	wc_get_template( 'loop/modeview.php', array('modeview' => $snsnitan_opt['woo_list_modeview']) );
    }
    // Override quickview
    function snsnitan_woo_images_quickview() {
    	wc_get_template( 'single-product/product-image-quickview.php' );
    }

    function snsnitan_woo_query($type, $post_per_page=-1, $cat='', $offset=0, $paged=1){
        global $woocommerce;
        $args = array(
            'post_type' => 'product',
            'posts_per_page' => $post_per_page,
            'post_status' => 'publish',
        	'offset'            => $offset,
            'paged' => $paged
        );
        switch ($type) {
            case 'best_selling':
                $args['meta_key']='total_sales';
                $args['orderby']='meta_value_num';
                $args['ignore_sticky_posts']   = 1;
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                break;
            case 'featured_product':
                $args['ignore_sticky_posts']=1;
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = array(
                             'key' => '_featured',
                             'value' => 'yes'
                         );
                $query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                break;
            case 'top_rate':
                add_filter( 'posts_clauses',  array( $woocommerce->query, 'order_by_rating_post_clauses' ) );
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                break;
            case 'recent':
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                break;
            case 'on_sale':
                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                $args['post__in'] = wc_get_product_ids_on_sale();
                break;
            case 'recent_review':
                if($post_per_page == -1) $_limit = 4;
                else $_limit = $post_per_page;
                global $wpdb;
                $query = $wpdb->prepare( "
                    SELECT c.comment_post_ID 
                    FROM {$wpdb->prefix}posts p, {$wpdb->prefix}comments c 
                    WHERE p.ID = c.comment_post_ID AND c.comment_approved > %d 
                    AND p.post_type = %s AND p.post_status = %s
                    AND p.comment_count > %d ORDER BY c.comment_date ASC" ,
                    0, 'product', 'publish', 0 );
                $results = $wpdb->get_results($query, OBJECT);
                $_pids = array();
                foreach ($results as $re) {
                    if(!in_array($re->comment_post_ID, $_pids))
                        $_pids[] = $re->comment_post_ID;
                    if(count($_pids) == $_limit)
                        break;
                }

                $args['meta_query'] = array();
                $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
                $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
                $args['post__in'] = $_pids;
                break;
        }

        if($cat!=''){
            $args['product_cat']= $cat;
        }
        return new WP_Query($args);
    }
    //
    add_action('woocommerce_single_product_summary', 'snsnitan_woo_addthis', 22);
    function snsnitan_woo_addthis(){
        global $snsnitan_opt;
        $html = '';
        if ( $snsnitan_opt['woo_sharebox'] == 1 ) {
            $html .= '
            <div class="addthis_toolbox addthis_default_style ">
            <a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
            <a class="addthis_button_tweet"></a>
            <a class="addthis_button_pinterest_pinit" pi:pinit:layout="horizontal"></a>
            <a class="addthis_counter addthis_pill_style"></a>
            </div>
            <script type="text/javascript">var addthis_config = {"data_track_addressbar":false};</script>
            <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-507b2455057cfd5f"></script>
            ';
        }
        echo wp_kses($html, array(
                                'div' => array(
                                    'class' => array(),
                                ),
                                'a' => array(
                                    'href' => array(),
                                    'class' => array(),
                                    'fb:like:layout' => array()
                                ),
                                'script' => array(
                                    'type' => array(),
                                    'src' => array()
                                ),
                            ) );
    }
    //
    remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);
    add_action('woocommerce_after_single_product_summary', 'snsnitan_relatedproducts', 20);
    function snsnitan_relatedproducts() {
        global $snsnitan_opt;
        if ( $snsnitan_opt['woo_related'] == '1' ) {
            $args = array(
                'posts_per_page' => $snsnitan_opt['woo_related_num'],
                'orderby' => 'rand'
            );
            woocommerce_related_products( apply_filters( 'woocommerce_output_related_products_args', $args ) );
        }else{
            return;
        }
    }
    add_action( 'woocommerce_archive_description', 'snsnitan_woo_category_image', 2 );
    function snsnitan_woo_category_image() {
        if ( is_product_category() ){
            global $wp_query;
            $cat = $wp_query->get_queried_object();
           
            $thumbnail_id = snsnitan_get_term_byid( $cat->term_id, 'thumbnail_id' );
            
            $image = wp_get_attachment_image_src($thumbnail_id, 'full');
            $image = isset($image[0]) ? $image[0] : '';
            if ( $image ) {
                echo '<p class="cate-img"><img src="' . esc_attr($image) . '" alt="" /></p>';
            }
        }
    }
    remove_filter( 'woocommerce_product_loop_start', 'woocommerce_maybe_show_product_subcategories' );
    add_action( 'woocommerce_before_main_content', 'snsnitan_archive_subcategories', 12);
    function snsnitan_archive_subcategories(){
        $display_type = woocommerce_get_loop_display_mode();
        if ( 'subcategories' === $display_type || 'both' === $display_type ) { ?>
            <ul class="sub-cats">
                <?php
            woocommerce_output_product_categories( array(
                'parent_id' => is_product_category() ? get_queried_object_id() : 0,
            ) );
                ?>
            </ul>
            <?php
        }
    }
    // Override thumbnail
    function snsnitan_post_thumbnail_html($html, $post_id, $post_thumbnail_id, $size, $attr) {
        if(snsnitan_themeoption('woo_uselazyload') == 1){
            $id = get_post_thumbnail_id();
            $src = wp_get_attachment_image_src($id, $size);
            $alt = get_the_title($id);
            $class = ( isset($attr['class']) ) ? $attr['class'] : '';
            if (strpos($class, 'lazy') !== false) {
                $html = '<img src="'.SNSNITAN_THEME_URI.'/assets/img/prod_loading.gif" alt="'.$alt.'" data-original="' . $src[0] . '" class="' . $class . '" />';
            }
        }
        return $html;
    }
    add_filter('post_thumbnail_html', 'snsnitan_post_thumbnail_html', 99, 5);
    function snsnitan_product_thumbnail(){
        global $post;
        $size = 'shop_catalog';
        if ( has_post_thumbnail() ) {
            if( snsnitan_themeoption('woo_uselazyload') == 1 ){
                echo get_the_post_thumbnail( $post->ID, $size, array('class' => "lazy attachment-$size") );
            }else{
                echo get_the_post_thumbnail( $post->ID, $size );
            }
        } elseif ( wc_placeholder_img_src() ) {
            echo wc_placeholder_img( $size );
        }
    }
    
    function snsnitan_get_woocommerce_categories(){
    	$args = array(
    		'taxonomy' => 'product_cat'
    	);
    	 return get_categories($args);
    }
    add_filter( 'woocommerce_product_tabs', 'snsnitan_woo_rename_tabs', 98 );
    function snsnitan_woo_rename_tabs( $tabs ) {
        $tabs['description']['title'] = esc_html__( 'Product Description', 'snsnitan' ); 
        if ( isset($tabs['additional_information']) ) {
            $tabs['additional_information']['title'] = esc_html__( 'Information','snsnitan' );
        }
        return $tabs;
    }
    add_action('woocommerce_after_cart', 'snsnitan_woo_jsqty', 10);
    function snsnitan_woo_jsqty(){
        $html = '';
        ob_start();
        ?>
        <script type="text/javascript">
            jQuery(document).ready(function($){
                $('.qty-decrease, .qty-increase').click(function(){
                    $( 'div.woocommerce > form input[name="update_cart"]' ).prop( 'disabled', false );
                });
            });
        </script>
        <?php
        $html .= ob_get_clean();
        echo $html;
    }
}

?>