<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php
    // Post Quote
    if ( get_post_format() == 'quote' && function_exists('rwmb_meta') && rwmb_meta('snsnitan_post_quotecontent') && rwmb_meta('snsnitan_post_quoteauthor') ) :
        ?>
        <div class="quote-info post-thumb" data-color="<?php echo esc_attr(rwmb_meta('snsnitan_post_quote_color')); ?>" data-bg="<?php echo esc_attr(rwmb_meta('snsnitan_post_quote_bg')); ?>">
            <?php if ( rwmb_meta('snsnitan_post_quotecontent') ) : ?>
            <div class="quote-content gfont"><?php echo esc_html(rwmb_meta('snsnitan_post_quotecontent')); ?></div>
            <?php endif; ?>
             <?php if ( rwmb_meta('snsnitan_post_quoteauthor') ) : ?>
            <div class="quote-author"><?php echo esc_html(rwmb_meta('snsnitan_post_quoteauthor')); ?></div>
            <?php endif; ?>
        </div>
    <?php
    // Post Link
    elseif ( get_post_format() == 'link' && function_exists('rwmb_meta') && rwmb_meta('snsnitan_post_linkurl') ) : ?>
        <div class="link-info post-thumb">
            <a class="gfont" title="<?php echo esc_attr(rwmb_meta('snsnitan_post_linktitle')) ?>" href="<?php echo esc_url( rwmb_meta('snsnitan_post_linkurl') ) ?>"><?php echo esc_html(rwmb_meta('snsnitan_post_linktitle')) ?></a>
        </div>
    <?php
    // Post Video
    elseif ( get_post_format() == 'video' && get_post_meta(get_the_id(), 'snsnitan_post_video', true) ) : ?>
        <div class="video-thumb video-responsive">
            <?php
            echo wp_oembed_get(esc_attr(get_post_meta(get_the_id(), 'snsnitan_post_video', true)));
            ?>
        </div>
    <?php
    // Post Audio
    elseif ( get_post_format() == 'audio' && get_post_meta(get_the_id(), 'snsnitan_post_audio', true) ) : ?>
        <div class="audio-thumb audio-responsive">
            <?php
            echo wp_oembed_get(esc_attr(get_post_meta(get_the_id(), 'snsnitan_post_audio', true)));
            ?>
        </div>
    <?php
    // Post Gallery
    elseif ( function_exists('rwmb_meta') && rwmb_meta('snsnitan_post_gallery') ) :
        wp_enqueue_script('owlcarousel');
    ?>
        <div class="gallery-thumb">
            <div class="navslider"><span class="prev"><i class="fa fa-angle-left"></i></span><span class="next"><i class="fa fa-angle-right"></i></span></div>
            <div class="thumb-container">
            <?php
            foreach (rwmb_meta('snsnitan_post_gallery', 'type=image') as $image) {?>
               <div class="item"><img alt="<?php echo esc_attr($image['alt']); ?>" src="<?php echo esc_attr($image['full_url']); ?>"/></div>
            <?php
            }
            ?>
            </div>
        </div>
    <?php
    // Post Image
    elseif ( has_post_thumbnail() ) : ?>
        <div class="post-thumb">
            <?php
           the_post_thumbnail();
            ?>
        </div>
    <?php
    endif;?>
    
    <div class="post-content">
        <?php if( get_the_category_list() ):?>
        <div class="post-cats">
            <span class="cat-links"><?php echo esc_html__('In ', 'snsnitan'); ?><?php echo get_the_category_list(', '); ?></span>
        </div>
        <?php endif;?>
        
        <h1 class="page-header">
            <?php the_title(); ?>
        </h1>
    
        <div class="single-post-date">
            <?php
            // Is sticky or not
            if ( is_sticky() && ! is_paged() ) { ?>
                <span class="sticky-post"><?php echo esc_html__( 'Sticky', 'snsnitan' ) ; ?></span>
            <?php
            }?>
            <span class="date-post">
            <?php
                printf( '<span class="entry-date">%1$s<a href="%2$s" rel="bookmark"><time class="entry-date published" datetime="%2$s">%3$s</time></a></span>',
                esc_html('', 'snsnitan'),
                esc_attr( get_the_date( 'c' ) ),
                get_the_date()
                );
                ?>
            </span>
            <?php
            // Edit link
            edit_post_link(esc_html__('Edit','snsnitan'), '<span class="edit-post">', '</span>'); ?>
        </div>
    
        <div class="content">
            <?php 
            the_content();
            // Post Paging
            wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'snsnitan' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); 
            ?>
        </div>
        <div class="post-meta">
            <?php
            // List tags
            $tag_list = get_the_tag_list( '', esc_html__( ', ', 'snsnitan' ) );
            if ( $tag_list ):?>
            <div class="post-tag-list">
                <?php esc_html_e( 'Tags:', 'snsnitan' );?>
                <span class="tags-links"><?php echo $tag_list; ?></span>
            </div>
            <?php
            endif;
            ?>
            
            <?php
            if ( snsnitan_themeoption('show_postsharebox') ) : ?>
            <div class="post-share-block">
                <?php  snsnitan_sharebox(); ?>
            </div>
            <?php
            endif;
            ?>
        </div>
    </div><!-- /.post-content -->
    
    <?php
    // Author bio
    if ( snsnitan_themeoption('show_postauthor') ) :
        get_template_part( 'author-bio' );
    endif;

    // Related post
    if ( snsnitan_themeoption('enalble_related', false) ) :
    ?>
    <div class="post-related">
        <?php
            snsnitan_relatedpost();
        ?>
    </div>
    <?php
    endif;
    ?>
    <?php
    // post navigation.
     // snsnitan_post_nav();
    ?>
    
    <?php 
    // If comments are open or we have at least one comment, load up the comment template.
    if ( comments_open() || get_comments_number() ) :
    comments_template();
    endif;
    ?>
</article>