<?php
$vc_add_css_animation = array(
	'type' => 'dropdown',
	'heading' => esc_html__( 'CSS Animation', 'snsnitan' ),
	'param_name' => 'css_animation',
	'admin_label' => true,
	'value' => array(
		esc_html__( 'No', 'snsnitan' ) => '',
		esc_html__( 'Top to bottom', 'snsnitan' ) => 'top-to-bottom',
		esc_html__( 'Bottom to top', 'snsnitan' ) => 'bottom-to-top',
		esc_html__( 'Left to right', 'snsnitan' ) => 'left-to-right',
		esc_html__( 'Right to left', 'snsnitan' ) => 'right-to-left',
		esc_html__( 'Appear from center', 'snsnitan' ) => 'appear'
	),
	'description' => esc_html__( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'snsnitan' )
);
$sns_extra_class =array(
			"type" => "textfield",
			"heading" => esc_html__("Extra class name", 'snsnitan'),
			"param_name" => "extra_class"
		);

global $wpdb;
// Get category name
$sql = $wpdb->prepare( "
	SELECT a.name,a.slug,a.term_id 
	FROM {$wpdb->terms} a JOIN  {$wpdb->term_taxonomy} b ON (a.term_id= b.term_id ) 
	WHERE b.count> %d and b.taxonomy = %s",
	0,'category' );
$results = $wpdb->get_results($sql);
$cat_value = array();
foreach ($results as $cat) {
	$cat_value[$cat->name] = $cat->slug;
}
// Get woo category name
$sql = $wpdb->prepare( "
	SELECT a.name,a.slug,a.term_id 
	FROM {$wpdb->terms} a JOIN  {$wpdb->term_taxonomy} b ON (a.term_id= b.term_id ) 
	WHERE b.count> %d and b.taxonomy = %s",
	0,'product_cat' );
$results = $wpdb->get_results($sql);
$woocat_value = array();
$woocat_value[esc_html__('--Select--', 'snsnitan')] = '';
foreach ($results as $cat) {
	$woocat_value[$cat->name] = $cat->slug;
}

function sns_woo_get_product_list($on_sale = false){
	global $woocommerce;
	$product_list =  array();
	if( class_exists('WooCommerce') ){
	    $product_list[esc_html__('--Select--', 'snsnitan')] = '';

	    $args = array(
	        'posts_per_page'     => -1,
	        'post_status'          => 'publish',
	        'post_type'          => 'product',
	        'order'              => 'DESC',
	    );
	    if($on_sale){
	    	$args['meta_query'] = array();
	        $args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
	        $args['meta_query'][] = $woocommerce->query->visibility_meta_query();
	        $args['post__in'] = wc_get_product_ids_on_sale();
	    }
	    $products = get_posts( $args );

	    foreach ($products as $product) {
	        $product_list[$product->post_title] = $product->ID;
	    }
	}
    return $product_list;
}

$product_list = sns_woo_get_product_list(false);
$product_onsale = sns_woo_get_product_list(true);

// SNS Custom Box
class WPBakeryShortCode_SNS_Custom_Box extends WPBakeryShortCode {}
vc_map( array(
	"name"  => esc_html__("SNS Custom Box", 'snsnitan'),
	"base" => "sns_custom_box",
	"show_settings_on_create" => true ,
	"is_container" => false ,
	"icon" => "vc_icon_snstheme",
	"class" => "vc_icon_snstheme",
	"content_element" => true ,
	"category" => esc_html__('Content', 'snsnitan'),
	'description' => esc_html__( 'Box contain: icon, title, description', 'snsnitan' ),
	"params" => array(
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Sellect text align" => "" ,
						"left" => "left" ,
						"right" => "right" ,
						"center" => "center"
			), 	
			"heading" => esc_html__("Text align for box", 'snsnitan'),
			"param_name" => "text_align" 
		),
		array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Background", 'snsnitan'),
			"param_name" => "custom_box_bg"
	    ),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"No border" => "" ,
						"1px" => "1px" ,
						"2px" => "2px" ,
						"3px" => "3px" ,
						"4px" => "4px" ,
						"5px" => "5px" ,
						"6px" => "6px" ,
						"7px" => "7px" ,
						"8px" => "8px" 
			), 	
			"heading" => esc_html__("Border size for custom box", 'snsnitan'),
			"param_name" => "custom_border_size" ,	
		),
	    array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Border color for custom", 'snsnitan'),
			"param_name" => "custom_border_color"
	    ),

	    array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Border right color", 'snsnitan'),
			"param_name" => "border_right"
	    ),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Icon library', 'snsnitan' ),
			'value' => array(
				esc_html__( 'Font Awesome', 'snsnitan' ) => 'fontawesome',
				// esc_html__( 'Open Iconic', 'snsnitan' ) => 'openiconic',
				// esc_html__( 'Typicons', 'snsnitan' ) => 'typicons',
				// esc_html__( 'Entypo', 'snsnitan' ) => 'entypo',
				esc_html__( 'Linecons', 'snsnitan' ) => 'linecons',
			),
			'param_name' => 'icon_type',
			'description' => esc_html__( 'Select icon library.', 'snsnitan' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsnitan' ),
			'param_name' => 'icon_fontawesome',
			'value' => 'fa fa-adjust', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false,
				// default true, display an "EMPTY" icon?
				'iconsPerPage' => 4000,
				// default 100, how many icons per/page to display, we use (big number) to display all icons in single page
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'fontawesome',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsnitan' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsnitan' ),
			'param_name' => 'icon_openiconic',
			'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'openiconic',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'openiconic',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsnitan' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsnitan' ),
			'param_name' => 'icon_typicons',
			'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'typicons',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'typicons',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsnitan' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsnitan' ),
			'param_name' => 'icon_entypo',
			'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'entypo',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'entypo',
			),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsnitan' ),
			'param_name' => 'icon_linecons',
			'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'linecons',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'linecons',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsnitan' ),
		),
		array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Color for icon", 'snsnitan'),
			"param_name" => "icon_color"
	    ),

	   
		array(
			"type" => "textfield",
			"heading" => esc_html__("Font size for icon", 'snsnitan'),
			"param_name" => "icon_font_size" ,
			"value" => esc_html__("25px",'snsnitan'),
			"description" => esc_html__("It's font-size for icon you sellected, example: 24px", 'snsnitan')
		),
		 array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Border for icon","snsnitan"),
			"param_name" => "icon_border",
			"value" => array(
				"Yes" => '1',
				"No" =>  '0',
			),
			"description" => esc_html__("only applies to font size icon < 50px", 'snsnitan')
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Custom Link", 'snsnitan'),
			"param_name" => "link" ,
			"description" => esc_html__("Enter the  link. Do't forget to include http:// ", 'snsnitan')
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Title", 'snsnitan'),
			"param_name" => "title",
			"value" => esc_html__("Your Title Here ...",'snsnitan'),
			"admin_label" => true 
		),
		
		array(
			"type" => "textarea",
			"heading" => esc_html__("Description", 'snsnitan'),
			"param_name" => "desc"
		),
		$vc_add_css_animation,
		$sns_extra_class,
	)
));

// SNS select category
class WPBakeryShortCode_SNS_Category extends WPBakeryShortCode {
	public function category($tab, $tab_types, $cat_thumb_class){
		$cat = get_term_by('slug', $tab, 'product_cat');
		
			return array('name'=>str_replace(' ', '_', $tab),'title'=>$cat->name,'short_title'=>$cat->name, 'thumbnail' => $image, 'icon' => $icon);
	}
}

vc_map( array(
	"name" => esc_html__("SNS Category",'snsnitan'),
	"base" => "sns_category",
	"class" => "sns_category",
	"category" => esc_html__("SNS WooCommerce",'snsnitan'),
	"description" => esc_html__( "WooCommerce category",'snsnitan' ),
	"params" => array(
		
		array(
	      "type" => "attach_image",
	      "heading" => esc_html__("Image", 'snsnitan'),
	      "param_name" => "image" 
	    ),
	     array(
			"type" => "textfield",
			"heading" => esc_html__("Image title",'snsnitan'),
			"param_name" => "img_title",
			"value" => ""
		),
		array(
			"type" => "dropdown",
			"value" => Array( 	
						"center" => "center",					
						"left" => "left" ,
						"right" => "right" 
			),
			"heading" => esc_html__("Image alignment", 'snsnitan'),
			"param_name" => "image_alignment" 
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"value" => $woocat_value,
			"heading" => esc_html__("Select Category",'snsnitan'),
			"param_name" => "category",
			"description" => ""
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Excerpt length",'snsnitan'),
			"param_name" => "excerpt_lenght",
			"value" => "100"
		),
		
		$vc_add_css_animation,
		$sns_extra_class,
		
	)
));

// SNS Twitter
class WPBakeryShortCode_SNS_Twitter extends WPBakeryShortCode {}
vc_map( array(
	"name"  => esc_html__("SNS Twitter", 'snsnitan'),
	"base" => "sns_twitter",
	"show_settings_on_create" => true ,
	"is_container" => false ,
	"icon" => "",
	"class" => "sns_twitter",
	"content_element" => true ,
	"category" => esc_html__('Content', 'snsnitan'),
	'description' => esc_html__( 'Show your list tweets', 'snsnitan' ),
	"params" => array(
		array(
			"type" => "textfield",
			"heading" => esc_html__("Title", 'snsnitan'),
			"param_name" => "title",
			"value" => esc_html__("Latest Tweets",'snsnitan'),
			"admin_label" => true 
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Widget ID", 'snsnitan'),
			"param_name" => "widget_id",
			"value" => "420187988887212033",
			"admin_label" => true 
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Twitter Account", 'snsnitan'),
			"param_name" => "account_name",
			"value" => "snstheme",
			"admin_label" => true 
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"List" => "list" ,
						"Carousel" => "carousel" 
			), 	
			"heading" => esc_html__("Template", 'snsnitan'),
			"param_name" => "template" 
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Navigation", 'snsnitan'),
			"param_name" => "show_navigation",
			'dependency' => array(
				'element' => 'template',
				'value' => 'carousel'
			)
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Tweets number display", 'snsnitan'),
			"param_name" => "tweets_num_display",
			"value" => "2",
			"admin_label" => true 
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Tweets number limit", 'snsnitan'),
			"param_name" => "tweets_num_limit",
			"value" => "6",
			'dependency' => array(
				'element' => 'template',
				'value' => 'carousel'
			),
			"admin_label" => true 
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Avartar", 'snsnitan'),
			"param_name" => "show_avartar",
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Follow Link", 'snsnitan'),
			"param_name" => "show_follow_link",
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Interact Link", 'snsnitan'),
			"param_name" => "show_interact_link",
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Date", 'snsnitan'),
			"param_name" => "show_date",
		),
		$vc_add_css_animation,
		$sns_extra_class,
	)
));

class WPBakeryShortCode_SNS_Latest_Posts extends WPBakeryShortCode {}

vc_map( array(
	"name" => esc_html__("SNS Latest Posts",'snsnitan'),
	"base" => "sns_latest_posts",
	"icon" => "sns_icon_latestpost",
	"class" => "sns_latestpost",
	"category" => esc_html__("Content",'snsnitan'),
	"description" => esc_html__( "Show latest posts", 'snsnitan' ),
	"params" => array(
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Template",'snsnitan'),
			"param_name" => "template",
			"value" => array(
				esc_html__('Style 1', 'snsnitan') => "style_1",
				esc_html__('Style 2', 'snsnitan') => "style_2",
				esc_html__('Style 3', 'snsnitan') => "style_3",
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Title",'snsnitan'),
			"param_name" => "title",
			"value" => "Latest Posts",
			"admin_label" => true,
		),
		array(
			"type" => "checkbox",
			"class" => "",		
			"value" => array(esc_html__("Yes","snsnitan") => "yes"),
			"heading" => esc_html__("Show Category",'snsnitan'),
			"param_name" => "show_category",
		),
		array(
			"type" => "checkbox",
			"class" => "",		
			"value" => array(esc_html__("Yes","snsnitan") => "yes"),
			"heading" => esc_html__("Show image",'snsnitan'),
			"param_name" => "show_img",
		),
		array(
			"type" => "checkbox",
			"class" => "",		
			"value" => array(esc_html__("Yes","snsnitan") => "yes"),
			"heading" => esc_html__("Show Post excerpt",'snsnitan'),
			"param_name" => "show_post_excerpt",
		),
		array(
			"type" => "checkbox",
			"class" => "",		
			"value" => array(esc_html__("Yes","snsnitan") => "yes"),
			"heading" => esc_html__("Show Date Post",'snsnitan'),
			"param_name" => "show_date",
		),
		array(
			"type" => "checkbox",
			"class" => "",		
			"value" => array(esc_html__("Yes","snsnitan") => "yes"),
			"heading" => esc_html__("Show Author",'snsnitan'),
			"param_name" => "show_author",
		),

		array(
			"type" => "checkbox",
			"class" => "",		
			"value" => array(esc_html__("Yes","snsnitan") => "yes"),
			"heading" => esc_html__("Show Comment count",'snsnitan'),
			"param_name" => "show_comment",
		),
		array(
			"type" => "checkbox",
			"class" => "",		
			"value" => array(esc_html__("Yes","snsnitan") => "yes"),
			"heading" => esc_html__("Show buton read more",'snsnitan'),
			"param_name" => "show_readmore",
		),
		array(
			"type" => "checkbox",
			"class" => "",		
			"value" => array(esc_html__("Yes","snsnitan") => "yes"),
			"heading" => esc_html__("Show buton view all",'snsnitan'),
			"param_name" => "show_viewall",
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Posts number limit",'snsnitan'),
			"param_name" => "number_limit",
			"value" => "12"
		),
		$vc_add_css_animation,
		$sns_extra_class,
	)
) );

class WPBakeryShortCode_SNS_Blog_Page extends WPBakeryShortCode {}

vc_map( array(
	"name" => esc_html__("SNS Blog Page",'snsnitan'),
	"base" => "sns_blog_page",
	"icon" => "sns_icon_blogpage",
	"class" => "sns_blogpage",
	"category" => esc_html__("Content",'snsnitan'),
	"description" => esc_html__( "To create blog page with some style", 'snsnitan' ),
	"params" => array(
		array(
			"type" => "checkbox",
			"value" => $cat_value,
			"class" => "",
			"heading" => esc_html__("Categories",'snsnitan'),
			"description" => "If you dont sellect category, the default is sellected all category",
			"param_name" => "category"
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Blog Style",'snsnitan'),
			"param_name" => "blog_type",
			"value" => array(
				"Blog Layout 1" 	=> "",
				"Blog Layout 2" 	=>  "layout2",
				"Masonry" 			=>  "masonry",
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Post per pages",'snsnitan'),
			"param_name" => "posts_per_page",
			"value" => "6"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Excerpt Length",'snsnitan'),
			"param_name" => "excerpt_length",
			"value" => "35"
		),

		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Enable Read More Button",'snsnitan'),
			"param_name" => "show_readmore",
			"value" => array(
				"Yes" => '1',
				"No" =>  '2',
			),
			'description' => esc_html__('Choose Type of navigation.','snsnitan')
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Page Navigation",'snsnitan'),
			"param_name" => "pagination",
			"value" => array(
				"Default" => 'def',
				"Ajax" =>  'ajax'
			),
			'description' => esc_html__('Choose Type of navigation.','snsnitan')
		),
		
		$vc_add_css_animation,
		$sns_extra_class,
	)
) );


class WPBakeryShortCode_SNS_Our_Brand extends WPBakeryShortCode {}

vc_map( array(
	"name" => esc_html__("SNS Our Brand",'snsnitan'),
	"base" => "sns_our_brand",
	"icon" => "sns_icon_ourbrand",
	"class" => "sns_ourbrand",
	"category" => esc_html__("Content",'snsnitan'),
	"description" => esc_html__( "Carousel list brands(image, link)", 'snsnitan' ),
	"params" => array(
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Title",'snsnitan'),
			"param_name" => "title",
			"value" => "Our brands"
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Link Target",'snsnitan'),
			"param_name" => "link_target",
			"value" => array(
				"New Windown" => "blank",
				"Same Windown" =>  "_self"
			),
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Show Nav","snsnitan"),
			"param_name" => "show_nav",
			"value" => array(
				"0" => "No",
				"1" =>  "Yes"
			),
			"description" => ""
		),

		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Show Paging","snsnitan"),
			"param_name" => "use_paging",
			"value" => array(
				"0" => "No",
				"1" =>  "Yes"
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Brands number row","snsnitan"),
			"param_name" => "num_row",
			"value" => "1",
			"description" => "Numbers display with each page carousel"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Brands number display",'snsnitan'),
			"param_name" => "num_display",
			"value" => "5",
			"description" => "Numbers display with each page carousel"
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"No border" => "" ,
						"1px" => "1px" ,
						"2px" => "2px" ,
						"3px" => "3px" ,
						"4px" => "4px" ,
						"5px" => "5px" ,
						"6px" => "6px" ,
						"7px" => "7px" ,
						"8px" => "8px" 
			), 	
			"heading" => esc_html__("Border size for brand", 'snsnitan'),
			"param_name" => "custom_border_size" ,	
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Theme defaults" => "" ,
						"Solid" => "solid" ,
						"Dotted" => "dotted" ,
						"Dashed" => "dashed" ,
						"None" => "none" ,
						"Hidden" => "hidden" ,
						"Double" => "double" ,
						"Groove" => "groove" ,
						"Ridge" => "ridge" ,
						"Inset" => "inset" ,
						"Outset" => "outset" ,
						"Initial" => "initial" ,
						"Inherit" => "inherit"
			), 	
			"heading" => esc_html__("Border type for brand", 'snsnitan'),
			"param_name" => "custom_border_type" ,	
		),
	    array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Border color for brand", 'snsnitan'),
			"param_name" => "custom_border_color"
	    ),
		$vc_add_css_animation,
		$sns_extra_class,
	)
) );

class WPBakeryShortCode_SNS_Testimonial extends WPBakeryShortCode {}

vc_map( array(
	"name" => esc_html__("SNS Testimonial",'snsnitan'),
	"base" => "sns_testimonial",
	"icon" => "sns_icon_testimonial",
	"class" => "sns_testimonial",
	"category" => esc_html__("Content",'snsnitan'),
	"description" => esc_html__( "Carousel list testimonial", 'snsnitan' ),
	"params" => array(
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Title",'snsnitan'),
			"param_name" => "title",
			"value" => "What client say ?"
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Template",'snsnitan'),
			"param_name" => "template",
			"value" => array(
				esc_html__('Style 1', 'snsnitan') => "style_1",
				esc_html__('Style 2', 'snsnitan') => "style_2",
			),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Testimonial color",'snsnitan'),
			"param_name" => "tes_color",
			"value" => array(
				"White" =>  "sns_testimonial_white",
				"Dark" => "sns_testimonial_dark",
			),
			"description" => esc_html__("The template Dark allow you to use a background image.",'snsnitan'),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Show paging",'snsnitan'),
			"param_name" => "use_paging",
			"value" => array(
				esc_html__('Yes', 'snsnitan') => "yes",
				esc_html__('No', 'snsnitan') => "no",
			),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Show nav",'snsnitan'),
			"param_name" => "show_nav",
			"value" => array(
				esc_html__('Yes', 'snsnitan') => "yes",
				esc_html__('No', 'snsnitan') => "no",
			),
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Number Testimonial",'snsnitan'),
			"param_name" => "num_display",
			"value" => "3",
			"description" => "Numbers display with each page carousel"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Excerpt Length",'snsnitan'),
			"param_name" => "excerpt_length",
			"value" => "35"
		),
			
		$vc_add_css_animation,
		$sns_extra_class,		
	)
) );

class WPBakeryShortCode_SNS_Member extends WPBakeryShortCode {}

vc_map( array(
	"name" => esc_html__("SNS Member",'snsnitan'),
	"base" => "sns_member",
	"icon" => "sns_icon_member",
	"class" => "sns_member",
	"category" => esc_html__("Content",'snsnitan'),
	"description" => esc_html__( "Display team member", 'snsnitan' ),
	"params" => array(
		array(
	      "type" => "attach_image",
	      "heading" => esc_html__("Avartar", 'snsnitan'),
	      "param_name" => "avartar" 
	    ),
	    array(
			"type" => "dropdown",
			"heading" => esc_html__("Avartar style",'snsnitan'),
			"param_name" => "avartar_style",
			"value" => array(
				"Default" => "",
				"Rounded" =>  "rounded",
				"Circle" =>  "circle"
			),
			"description" => ""
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'Link to member', 'snsnitan' ),
			'param_name' => 'link',
		),
	    array(
	      "type" => "textfield",
	      "heading" => esc_html__("Member name", 'snsnitan'),
	      "param_name" => "name",
		  "admin_label" => true
	    ),
	    array(
	      "type" => "textfield",
	      "heading" => esc_html__("Member role", 'snsnitan'),
	      "param_name" => "role",
		  "admin_label" => true
	    ),
	    array(
	      "type" => "textarea_html",
	      "heading" => esc_html__("Short description", 'snsnitan'),
	      "param_name" => "short_desc",
	    ),
	   //  array(
	   //    "type" => "checkbox",
	   //    "heading" => esc_html__("Social Links", 'snsnitan'),
	   //    "param_name" => "social_links",
		  // "value" => Array('Twitter'=>'twitter' ,'Facebook'=>'facebook','Linkedin'=>'linkedin','Youtube'=>'youtube','Google plus'=>'google','Behance'=>'behance','Dribbble'=>'dribbble','Pinterest'=>'pinterest')
	   //  ),
		array(
	      "type" => "textfield",
	      "heading" => esc_html__("Twitter link", 'snsnitan'),
	      "param_name" => "twitter",
		  //"dependency" => Array('element' => "social_links", 'value' => 'twitter')
	    ),
		array(
	      "type" => "textfield",
	      "heading" => esc_html__("Facebook link", 'snsnitan'),
	      "param_name" => "facebook",
		  //"dependency" => Array('element' => "social_links", 'value' => 'facebook')
	    ),
		array(
	      "type" => "textfield",
	      "heading" => esc_html__("linkedin link", 'snsnitan'),
	      "param_name" => "linkedin",
		  //"dependency" => Array('element' => "social_links", 'value' => 'linkedin')
	    ),
		array(
	      "type" => "textfield",
	      "heading" => esc_html__("youtube link", 'snsnitan'),
	      "param_name" => "youtube",
		  //"dependency" => Array('element' => "social_links", 'value' => 'youtube')
	    ),
		array(
	      "type" => "textfield",
	      "heading" => esc_html__("google link", 'snsnitan'),
	      "param_name" => "google",
		  //"dependency" => Array('element' => "social_links", 'value' => 'google')
	    ),
		array(
	      "type" => "textfield",
	      "heading" => esc_html__("behance link", 'snsnitan'),
	      "param_name" => "behance",
		  //"dependency" => Array('element' => "social_links", 'value' => 'behance')
	    ),
		array(
	      "type" => "textfield",
	      "heading" => esc_html__("dribbble link", 'snsnitan'),
	      "param_name" => "dribbble",
		  //"dependency" => Array('element' => "social_links", 'value' => 'dribbble')
	    ),
		array(
	      "type" => "textfield",
	      "heading" => esc_html__("pinterest link", 'snsnitan'),
	      "param_name" => "pinterest",
		  //"dependency" => Array('element' => "social_links", 'value' => 'pinterest')
	    ),
	    $vc_add_css_animation,
	    $sns_extra_class,
	)
) );

class WPBakeryShortCode_SNS_Counter extends WPBakeryShortCode {

}

vc_map( array(
	"name" => esc_html__("SNS Counter", 'snsnitan'),
	"base" => "sns_counter",
	"class" => "sns_counter",
	"icon" => "sns_icon_counter",
	"description" => esc_html__( "Display box count to", 'snsnitan' ),
	"params" => array(
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Use icon?",'snsnitan'),
			"param_name" => "enable_icon",
			"value" => array(
				esc_html__('Yes', 'snsnitan') => "1",
				esc_html__('No', 'snsnitan') => "0"
			),
			"description" => ""
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Icon library', 'snsnitan' ),
			'value' => array(
				esc_html__( 'Font Awesome', 'snsnitan' ) => 'fontawesome',
				esc_html__( 'Linecons', 'snsnitan' ) => 'linecons',
			),
			'param_name' => 'icon_type',
			'description' => esc_html__( 'Select icon library.', 'snsnitan' ),
			'dependency' => array(
				'element' => 'enable_icon',
				'value' => '1',
			),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsnitan' ),
			'param_name' => 'icon_fontawesome',
			'value' => 'fa fa-adjust', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false,
				// default true, display an "EMPTY" icon?
				'iconsPerPage' => 4000,
				// default 100, how many icons per/page to display, we use (big number) to display all icons in single page
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'fontawesome',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsnitan' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsnitan' ),
			'param_name' => 'icon_linecons',
			'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'linecons',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'linecons',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsnitan' ),
		),
		array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Color for icon", 'snsnitan'),
			"param_name" => "icon_color",
			'dependency' => array(
				'element' => 'enable_icon',
				'value' => '1',
			),
	    ),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Font size for icon", 'snsnitan'),
			"param_name" => "icon_font_size" ,
			"description" => esc_html__("It's font-size for icon you sellected, example: 24px", 'snsnitan'),
			'dependency' => array(
				'element' => 'enable_icon',
				'value' => '1',
			),
		),
  
	  	array(
	      "type" => "textfield",
	      "heading" => esc_html__("Value to Count", 'snsnitan'),
	      "param_name" => "value" ,
		  "description" => "This value must be an integer", 
		  "admin_label" => true
	    ),
	    array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Color for Value", 'snsnitan'),
			"param_name" => "value_color"
	    ),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Font size for Value", 'snsnitan'),
			"param_name" => "value_font_size" ,
			"description" => esc_html__("It's font-size for Value, example: 18px", 'snsnitan')
		),
	    array(
	      "type" => "textfield",
	      "heading" => esc_html__("Unit", 'snsnitan'),
	      "param_name" => "unit",
		  "description" => 'You can use any text such as % , cm or any other . Leave Blank if you do not want to display any unit value'
	    ),
	    array(
	      "type" => "textfield",
	      "heading" => esc_html__("Counter Title", 'snsnitan'),
	      "param_name" => "title" ,
		  "value" => esc_html__("Your Title Goes Here...",'snsnitan'),
	    ),
	    array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Color for Title", 'snsnitan'),
			"param_name" => "title_color"
	    ),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Font size for Title", 'snsnitan'),
			"param_name" => "title_font_size" ,
			"description" => esc_html__("It's font-size for Title, example: 12px", 'snsnitan')
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("From to count", 'snsnitan'),
			"param_name" => "from" ,
			"value"		=> "0",
			"description" => esc_html__("The number the element should start at, example: 0", 'snsnitan')
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Speed to count", 'snsnitan'),
			"param_name" => "speed",
			"value"		=> "900",
			"description" => esc_html__("How long it should take to count between the target numbers, example: 900", 'snsnitan')
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Interval to count", 'snsnitan'),
			"param_name" => "interval",
			"value"		=> "10",
			"description" => esc_html__("How often the element should be updated, example: 10", 'snsnitan')
		),
		$vc_add_css_animation,
		$sns_extra_class,
  	)

));


class WPBakeryShortCode_SNS_Products extends WPBakeryShortCode {}

vc_map( array(
	"name" => esc_html__("SNS Products",'snsnitan'),
	"base" => "sns_products",
	"icon" => "sns_icon_products",
	"class" => "sns_products",
	"category" => esc_html__("WooCommerce",'snsnitan'),
	"description" => esc_html__( "WooCommerce products",'snsnitan' ),
	"params" => array(
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Title",'snsnitan'),
			"param_name" => "title",
			"admin_label" => true,
			"value" => "New Products"
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Type",'snsnitan'),
			"param_name" => "type",
			"value" => array(
				esc_html__('Latest Products', 'snsnitan') => "recent",
				esc_html__('BestSeller Products', 'snsnitan') => "best_selling",
				esc_html__('Top Rated Products', 'snsnitan') => "top_rate",
				esc_html__('Special Products', 'snsnitan') => "on_sale",
				esc_html__('Featured Products', 'snsnitan') => "featured_product",
				esc_html__('Recent Review', 'snsnitan') => "recent_review",
			),
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Template",'snsnitan'),
			"param_name" => "template",
			"admin_label" => true,
			"value" => array(
				esc_html__("Carousel",'snsnitan') => '1',
				esc_html__("List",'snsnitan') => '2',
			),
			"description" => esc_html__("Select template.", 'snsnitan')
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Show Count Sale",'snsnitan'),
			"param_name" => "show_countdown",
			"value" => array(
				esc_html__("Yes",'snsnitan') => 'yes',
				esc_html__("No",'snsnitan') => 'no',
			),
			'dependency' => array(
				'element' => 'template',
				'value' => '1',
			),
		),
		
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number display screen width > 480px","snsnitan"),
			"param_name" => "number_display_480",
			"dependency" => array("element" => "template" , "value" => "1" ),
			"value" => "2"
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number display screen > 768px","snsnitan"),
			"param_name" => "number_display_768",
			"dependency" => array("element" => "template" , "value" => "1" ),
			"value" => "2"
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number display screen > 992px","snsnitan"),
			"param_name" => "number_display_992",
			"dependency" => array("element" => "template" , "value" => "1" ),
			"value" => "3"
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number display screen > 1200px","snsnitan"),
			"param_name" => "number_display_1200",
			"dependency" => array("element" => "template" , "value" => "1" ),
			"value" => "4"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number limit",'snsnitan'),
			"param_name" => "number_limit",
			"value" => "10",
		),
		$vc_add_css_animation,
		$sns_extra_class,
		
	)
) );

class WPBakeryShortCode_SNS_Product_Tabs extends WPBakeryShortCode {
	public function snsnitan_getListTabTitle(){
		$this->atts = vc_map_get_attributes( $this->getShortcode(), $this->atts );
		$array_tab = array();
		if ( $this->atts['tab_types'] == 'category' ) :
			if( empty($this->atts['list_cat']) ) :
				$array_tab = $this->snsnitan_getCats();
			else :
				$array_tab = explode(',', $this->atts['list_cat']);
			endif;
			//var_dump($array_tab);
		else :
			$array_tab = explode(',', $this->atts['list_orderby']);
		endif;
		foreach ($array_tab as $tab) {
			$list_tab[$tab] = $this->snsnitan_tabTitle($tab, $this->atts['tab_types']);
		}
		return $list_tab;
	}

	public function snsnitan_tabTitle($tab, $tab_types){
		if( $tab_types == 'category' ){
			$cat = get_term_by('slug', $tab, 'product_cat');
			
			return array('name'=>str_replace(' ', '_', $tab),'title'=>$cat->name,'short_title'=>$cat->name);
		}else{
			switch ($tab) {
				case 'recent':
					return array('name'=>$tab,'title'=>esc_html__('Latest Products','snsnitan'),'short_title'=>esc_html__('Latest','snsnitan'));
				case 'featured_product':
					return array('name'=>$tab,'title'=>esc_html__('Featured Products','snsnitan'),'short_title'=>esc_html__('Featured','snsnitan'));
				case 'top_rate':
					return array('name'=>$tab,'title'=> esc_html__('Top Rated Products','snsnitan'),'short_title'=>esc_html__('Top Rated', 'snsnitan'));
				case 'best_selling':
					return array('name'=>$tab,'title'=>esc_html__('BestSeller Products','snsnitan'),'short_title'=>esc_html__('Best Seller','snsnitan'));
				case 'on_sale':
					return array('name'=>$tab,'title'=>esc_html__('Special Products','snsnitan'),'short_title'=>esc_html__('Special','snsnitan'));
			}
		}
	}
	public function snsnitan_getCats(){
		$cats = get_terms('product_cat');
		$arr = array();
		foreach ($cats as $cat) {
			$arr[] = $cat->slug;
		}
		return $arr;
	}
}

vc_map( array(
	"name" => esc_html__("SNS Product Tabs",'snsnitan'),
	"base" => "sns_product_tabs",
	"icon" => "sns_icon_product_tabs",
	"class" => "sns_product_tabs",
	"category" => esc_html__("WooCommerce",'snsnitan'),
	"description" => esc_html__( "WooCommerce product tabs", 'snsnitan' ),
	"params" => array(
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Title",'snsnitan'),
			"param_name" => "title",
			"admin_label" => true,
			"value" => "New Products"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Some words in the title have other color",'snsnitan'),
			"param_name" => "title2",
			"admin_label" => true,
			"value" => "Nitan",
			"description" => "Enter here if you want color of some words in the title is color of theme. Eg: Nitan"
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Template",'snsnitan'),
			"param_name" => "template",
			"value" => array(
				"Grid" => "grid",
				"Carousel" =>  "carousel"
			),
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Heading style",'snsnitan'),
			"param_name" => "heading_style",
			"value" => array(
				esc_html__('Heading sytle #1', 'snsnitan') => "",
				esc_html__('Heading sytle #2', 'snsnitan') => "heading_2",
			),
			//"dependency" => array("element" => "template" , "value" => "grid" ),
			"description" => "Select heading style applied for title and tab panel."
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Tab types",'snsnitan'),
			"param_name" => "tab_types",
			"value" => array(
				"Categories" => "category",
				"Order By" =>  "orderby"
			),
			"description" => ""
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"value" => $woocat_value,
			"heading" => esc_html__("Select Category",'snsnitan'),
			"param_name" => "list_cat",
			"description" => ""
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Order By for all tab",'snsnitan'),
			"param_name" => "orderby",
			"value" => array(
				esc_html__('Latest Products', 'snsnitan') => "recent",
				esc_html__('BestSeller Products', 'snsnitan') => "best_selling",
				esc_html__('Top Rated Products', 'snsnitan') => "top_rate",
				esc_html__('Special Products', 'snsnitan') => "on_sale",
				esc_html__('Featured Products', 'snsnitan') => "featured_product",
				esc_html__('Recent Review', 'snsnitan') => "recent_review",
			),
			"dependency" => array("element" => "tab_types" , "value" => "category" ),
			"description" => ""
		),
		array(
			"type" => "checkbox",
			"class" => "",
			"heading" => esc_html__("Select Order By",'snsnitan'),
			"param_name" => "list_orderby",
			"value" => array(
				esc_html__('Latest Products', 'snsnitan') => "recent",
				esc_html__('BestSeller Products', 'snsnitan') => "best_selling",
				esc_html__('Top Rated Products', 'snsnitan') => "top_rate",
				esc_html__('Special Products', 'snsnitan') => "on_sale",
				esc_html__('Featured Products', 'snsnitan') => "featured_product",
				esc_html__('Recent Review', 'snsnitan') => "recent_review",
			),
			"dependency" => array("element" => "tab_types" , "value" => "orderby" ),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Row",'snsnitan'),
			"param_name" => "row",
			"dependency" => array("element" => "template" , "value" => "grid" ),
			"value" => "2"
		),


		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Show button load more",'snsnitan'),
			"dependency" => array("element" => "template" , "value" => "grid" ),
			"param_name" => "show_button",
			"value" => array(
				"Yes" => '1',
				"No" =>  '2',
			),
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Column per Row",'snsnitan'),
			"param_name" => "col",
			"dependency" => array("element" => "template" , "value" => "grid" ),
			"value" => "4"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Number product with each click to Load more button",'snsnitan'),
			"param_name" => "number_load",
			"dependency" => array("element" => "template" , "value" => "grid" ),
			"value" => "4"
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Effect for product when click to Load more button",'snsnitan'),
			"param_name" => "effect_load",
			"value" => array(
				esc_html__('zoomOut', 'snsnitan') => "zoomOut",
				esc_html__('zoomIn', 'snsnitan') => "zoomIn",
				esc_html__('pageRight', 'snsnitan') => "pageRight",
				esc_html__('pageLeft', 'snsnitan') => "pageLeft",
				esc_html__('pageTop', 'snsnitan') => "pageTop",
				esc_html__('pageBottom', 'snsnitan') => "pageBottom",
				esc_html__('starwars', 'snsnitan') => "starwars",
				esc_html__('slideBottom', 'snsnitan') => "slideBottom",
				esc_html__('slideLeft', 'snsnitan') => "slideLeft",
				esc_html__('slideRight', 'snsnitan') => "slideRight",
				esc_html__('bounceIn', 'snsnitan') => "bounceIn",
			),
			"dependency" => array("element" => "template" , "value" => "grid" ),
			"description" => ""
		),
		// array(
		// 	"type" => "textfield",
		// 	"class" => "",
		// 	"heading" => esc_html__("Product number display per row",'snsnitan'),
		// 	"param_name" => "number_display",
		// 	"dependency" => array("element" => "template" , "value" => "carousel" ),
		// 	"value" => "4"
		// ),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number limit",'snsnitan'),
			"param_name" => "number_limit",
			"dependency" => array("element" => "template" , "value" => "carousel" ),
			"value" => "10"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number display screen width > 480px","snsnitan"),
			"param_name" => "number_display_480",
			"dependency" => array("element" => "template" , "value" => "carousel" ),
			"value" => "2"
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number display screen > 768px","snsnitan"),
			"param_name" => "number_display_768",
			"dependency" => array("element" => "template" , "value" => "carousel" ),
			"value" => "2"
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number display screen > 992px","snsnitan"),
			"param_name" => "number_display_992",
			"dependency" => array("element" => "template" , "value" => "carousel" ),
			"value" => "3"
		),

		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Product number display screen > 1200px","snsnitan"),
			"param_name" => "number_display_1200",
			"dependency" => array("element" => "template" , "value" => "carousel" ),
			"value" => "4"
		),
		$vc_add_css_animation,
		$sns_extra_class,
		
	)
) );

class WPBakeryShortCode_SNS_Onsale_Product extends WPBakeryShortCode {}
vc_map( array(
		"name" => esc_html__("SNS On sale Product",'snsnitan'),
		"base" => "sns_onsale_product",
		"icon" => "sns_icon_onsale_product",
		"class" => "sns_onsale_product",
		"category" => esc_html__("WooCommerce",'snsnitan'),
		"description" => esc_html__( "Show on sale product", 'snsnitan' ),
		"params" => array(
				array(
			      "type" => "attach_image",
			      "heading" => esc_html__("Image Left", 'snsnitan'),
			      "param_name" => "image_left" 
			    ),
			    array(
					"type" => "textfield",
					"heading" => esc_html__("Image title",'snsnitan'),
					"param_name" => "img_left_title",
					"value" => ""
				),
				array(
			      "type" => "attach_image",
			      "heading" => esc_html__("Image Right", 'snsnitan'),
			      "param_name" => "image_right" 
			    ),
			     array(
					"type" => "textfield",
					"heading" => esc_html__("Image title",'snsnitan'),
					"param_name" => "img_right_title",
					"value" => ""
				),
				array(
					"type" => "textfield",
					"class" => "",
					"value" => "",		
					"heading" => esc_html__("Prefix", 'snsnitan'),
					"param_name" => "prefix" 
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => esc_html__("On sale products",'snsnitan'),
					"param_name" => "product",
					"description" => "",
					"value" => $product_onsale,
					
				),				
				array(
					"type" => "dropdown",
					"value" => Array( 
								"Sellect text align" => "" ,
								"left" => "left" ,
								"right" => "right" ,
								"center" => "center"
					), 	
					"heading" => esc_html__("Text align", 'snsnitan'),
					"param_name" => "text_align" 
				),
				array(
					"type" => "textfield",
					"class" => "",
					"heading" => esc_html__("Excerpt length",'snsnitan'),
					"param_name" => "excerpt_lenght",
					"value" => "20"
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => esc_html__("Show price",'snsnitan'),
					"param_name" => "show_price",
					"value" => array(
						esc_html__('Yes', 'snsnitan') => "yes",
						esc_html__('No', 'snsnitan') => "no",
					),
				),
			$vc_add_css_animation,
			$sns_extra_class,
		)
) );

?>