<?php
/*
* SNS Testmonial
*/
wp_enqueue_script('owlcarousel');

$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$class = 'sns-testimonial';
$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
$class .= esc_attr($this->getCSSAnimation( $css_animation ));

$class_content = '';
if($use_paging == 'no') {
	$class_content .= ' no_show_paging ';
}
if($show_nav == 'no') {
	$class_content .= ' no_show_nav ';
}

$uq = rand().time();
$args = array(
	'post_type' => 'testimonial',
	'posts_per_page' => -1
);
$brand = new WP_Query($args);

if ( $brand->have_posts() ) :
	ob_start();
?>
	<div id="sns_testimonial<?php echo $uq; ?>" class="<?php echo $class . ' ' . $tes_color . ' ' . $template; ?> <?php echo $class_content; ?>">
		<div class="navslider">
			<span class="prev"><i class="fa fa-angle-left"></i></span>
			<span class="next"><i class="fa fa-angle-right"></i></span>
		</div>
		<div class="testimonial-content">
			<?php if ( $title !='' ): ?>
			<div class="testimonial-title">				
				<?php echo esc_html($title); ?>	
			</div>
			<?php endif; ?>
			<div class="wrap-icon"></div>
			<ul class="clearfix">
				<?php 
				$i=1;
				while ( $brand->have_posts() && ($i <= $num_display) ) : $brand->the_post();  ?>
				<li>				
					
					<?php
					if(has_post_thumbnail()):?>
					<div class="sns-testi-avatar">
						<?php the_post_thumbnail('snsnitan_testimonial_avatar');?>
					</div>
					<?php
					endif;
					$title = get_the_title();
					$sub_title = get_post_meta(get_the_ID(), 'snsnitan_testisub', true);
					
					if( $sub_title != '')
						$title = $title . '<span>'.esc_html($sub_title).'</span>';
					?>
					<div class="quote-content">
						<?php echo '&#34; '.esc_html(get_the_content()) . ' &#34;'; ?>
					</div>
					<h2 class="sns-test-title"><?php echo $title; ?></h2>			
					<span class="job"> - <?php echo rwmb_meta('snsnitan_testimonialjob') ; ?></span>
				</li>
				<?php $i++; ?>
				<?php 
				endwhile;?>
			</ul>
		</div>
		<script type="text/javascript">
			jQuery(document).ready(function(){
				jQuery('#sns_testimonial<?php echo $uq;?>.style_2 ul').owlCarousel({
					items: 1,
					loop: false,
		            dots: true,
		            nav: false,
		   //          animateOut: 'flipInY',
					// animateIn: 'pulse',
				    autoplay: false,
		            onInitialized: callback,
		            slideSpeed : 800
				});

				function callback(event) {
					if(this._items.length > this.options.items){
				        jQuery('#sns_testimonial<?php echo $uq;?> .navslider').show();
				    }else{
				        jQuery('#sns_testimonial<?php echo $uq;?> .navslider').hide();
				    }
				}
				jQuery('#sns_testimonial<?php echo $uq;?> .navslider .prev').on('click', function(e){
					e.preventDefault();
					jQuery('#sns_testimonial<?php echo $uq;?> ul').trigger('prev.owl.carousel');
				});
				jQuery('#sns_testimonial<?php echo $uq;?> .navslider .next').on('click', function(e){
					e.preventDefault();
					jQuery('#sns_testimonial<?php echo $uq;?> ul').trigger('next.owl.carousel');
				});
			});
		</script>
	</div>
<?php
$output .= ob_get_clean();
echo $output;
wp_reset_postdata();
endif; 

?>